<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="pt">
<head>
<!-- Generated by javadoc (11.0.22) on Sat Apr 20 15:06:18 BRT 2024 -->
<title>CarServiceImpl (desafiotcebackend 0.0.1-SNAPSHOT API)</title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta name="dc.created" content="2024-04-20">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../jquery/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
<script type="text/javascript" src="../../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../../jquery/jquery-3.6.1.min.js"></script>
<script type="text/javascript" src="../../../../jquery/jquery-ui.min.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="CarServiceImpl (desafiotcebackend 0.0.1-SNAPSHOT API)";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/CarServiceImpl.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">com.daulio.desafiotcebackend.service</a></div>
<h2 title="Class CarServiceImpl" class="title">Class CarServiceImpl</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true" title="class or interface in java.lang" class="externalLink">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>com.daulio.desafiotcebackend.service.CarServiceImpl</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><code><a href="CarService.html" title="interface in com.daulio.desafiotcebackend.service">CarService</a></code></dd>
</dl>
<hr>
<pre>@Service
public class <span class="typeNameLabel">CarServiceImpl</span>
extends <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true" title="class or interface in java.lang" class="externalLink">Object</a>
implements <a href="CarService.html" title="interface in com.daulio.desafiotcebackend.service">CarService</a></pre>
<div class="block">Representa service com os métodos para carros no sistema.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section>
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E()">CarServiceImpl</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section>
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../dto/CarDTO.html" title="class in com.daulio.desafiotcebackend.dto">CarDTO</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#create(java.lang.String,com.daulio.desafiotcebackend.dto.CarDTO)">create</a></span>&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&nbsp;token,
      <a href="../dto/CarDTO.html" title="class in com.daulio.desafiotcebackend.dto">CarDTO</a>&nbsp;dto)</code></th>
<td class="colLast">
<div class="block">Salva um novo carro para usuário logado</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#delete(java.lang.String,java.lang.Long)">delete</a></span>&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&nbsp;token,
      <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Long.html?is-external=true" title="class or interface in java.lang" class="externalLink">Long</a>&nbsp;id)</code></th>
<td class="colLast">
<div class="block">Exclui um carro do usuário logado por id</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/util/List.html?is-external=true" title="class or interface in java.util" class="externalLink">List</a>&lt;<a href="../dto/CarDTO.html" title="class in com.daulio.desafiotcebackend.dto">CarDTO</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#findAll(java.lang.String)">findAll</a></span>&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&nbsp;token)</code></th>
<td class="colLast">
<div class="block">Recupera a lista de todos os carros do usuário logado</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="../dto/CarDTO.html" title="class in com.daulio.desafiotcebackend.dto">CarDTO</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#findById(java.lang.String,java.lang.Long)">findById</a></span>&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&nbsp;token,
        <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Long.html?is-external=true" title="class or interface in java.lang" class="externalLink">Long</a>&nbsp;id)</code></th>
<td class="colLast">
<div class="block">Recupera um carro do usuário logado por id</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="../dto/CarDTO.html" title="class in com.daulio.desafiotcebackend.dto">CarDTO</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#save(java.lang.String,com.daulio.desafiotcebackend.dto.CarDTO)">save</a></span>&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&nbsp;token,
    <a href="../dto/CarDTO.html" title="class in com.daulio.desafiotcebackend.dto">CarDTO</a>&nbsp;dto)</code></th>
<td class="colLast">
<div class="block">Salva um carro para usuário logado</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="../dto/CarDTO.html" title="class in com.daulio.desafiotcebackend.dto">CarDTO</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#update(java.lang.String,com.daulio.desafiotcebackend.dto.CarDTO)">update</a></span>&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&nbsp;token,
      <a href="../dto/CarDTO.html" title="class in com.daulio.desafiotcebackend.dto">CarDTO</a>&nbsp;dto)</code></th>
<td class="colLast">
<div class="block">Atualiza os dados de um carro do usuário logado</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true" title="class or interface in java.lang" class="externalLink">Object</a></h3>
<code><a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true#clone()" title="class or interface in java.lang" class="externalLink">clone</a>, <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true#equals(java.lang.Object)" title="class or interface in java.lang" class="externalLink">equals</a>, <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true#finalize()" title="class or interface in java.lang" class="externalLink">finalize</a>, <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true#getClass()" title="class or interface in java.lang" class="externalLink">getClass</a>, <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true#hashCode()" title="class or interface in java.lang" class="externalLink">hashCode</a>, <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true#notify()" title="class or interface in java.lang" class="externalLink">notify</a>, <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true#notifyAll()" title="class or interface in java.lang" class="externalLink">notifyAll</a>, <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true#toString()" title="class or interface in java.lang" class="externalLink">toString</a>, <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true#wait()" title="class or interface in java.lang" class="externalLink">wait</a>, <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true#wait(long)" title="class or interface in java.lang" class="externalLink">wait</a>, <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true#wait(long,int)" title="class or interface in java.lang" class="externalLink">wait</a></code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section>
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>CarServiceImpl</h4>
<pre>public&nbsp;CarServiceImpl()</pre>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section>
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="findAll(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>findAll</h4>
<pre class="methodSignature">public&nbsp;<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/util/List.html?is-external=true" title="class or interface in java.util" class="externalLink">List</a>&lt;<a href="../dto/CarDTO.html" title="class in com.daulio.desafiotcebackend.dto">CarDTO</a>&gt;&nbsp;findAll&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&nbsp;token)
                     throws <a href="../exception/RegraNegocioException.html" title="class in com.daulio.desafiotcebackend.exception">RegraNegocioException</a></pre>
<div class="block">Recupera a lista de todos os carros do usuário logado</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="CarService.html#findAll(java.lang.String)">findAll</a></code>&nbsp;in interface&nbsp;<code><a href="CarService.html" title="interface in com.daulio.desafiotcebackend.service">CarService</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../exception/RegraNegocioException.html" title="class in com.daulio.desafiotcebackend.exception">RegraNegocioException</a></code></dd>
</dl>
</li>
</ul>
<a id="findById(java.lang.String,java.lang.Long)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>findById</h4>
<pre class="methodSignature">public&nbsp;<a href="../dto/CarDTO.html" title="class in com.daulio.desafiotcebackend.dto">CarDTO</a>&nbsp;findById&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&nbsp;token,
                       <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Long.html?is-external=true" title="class or interface in java.lang" class="externalLink">Long</a>&nbsp;id)
                throws <a href="../exception/RegraNegocioException.html" title="class in com.daulio.desafiotcebackend.exception">RegraNegocioException</a></pre>
<div class="block">Recupera um carro do usuário logado por id</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="CarService.html#findById(java.lang.String,java.lang.Long)">findById</a></code>&nbsp;in interface&nbsp;<code><a href="CarService.html" title="interface in com.daulio.desafiotcebackend.service">CarService</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>id</code> - do carrro para perquisa</dd>
<dd><code>token</code> - para verificação do usuário logado</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../exception/RegraNegocioException.html" title="class in com.daulio.desafiotcebackend.exception">RegraNegocioException</a></code></dd>
</dl>
</li>
</ul>
<a id="update(java.lang.String,com.daulio.desafiotcebackend.dto.CarDTO)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>update</h4>
<pre class="methodSignature">public&nbsp;<a href="../dto/CarDTO.html" title="class in com.daulio.desafiotcebackend.dto">CarDTO</a>&nbsp;update&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&nbsp;token,
                     <a href="../dto/CarDTO.html" title="class in com.daulio.desafiotcebackend.dto">CarDTO</a>&nbsp;dto)
              throws <a href="../exception/RegraNegocioException.html" title="class in com.daulio.desafiotcebackend.exception">RegraNegocioException</a></pre>
<div class="block">Atualiza os dados de um carro do usuário logado</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="CarService.html#update(java.lang.String,com.daulio.desafiotcebackend.dto.CarDTO)">update</a></code>&nbsp;in interface&nbsp;<code><a href="CarService.html" title="interface in com.daulio.desafiotcebackend.service">CarService</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>dto</code> - objeto com os dados atualizado do carro</dd>
<dd><code>token</code> - para verificação do usuário logado</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../exception/RegraNegocioException.html" title="class in com.daulio.desafiotcebackend.exception">RegraNegocioException</a></code></dd>
</dl>
</li>
</ul>
<a id="create(java.lang.String,com.daulio.desafiotcebackend.dto.CarDTO)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>create</h4>
<pre class="methodSignature">public&nbsp;<a href="../dto/CarDTO.html" title="class in com.daulio.desafiotcebackend.dto">CarDTO</a>&nbsp;create&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&nbsp;token,
                     <a href="../dto/CarDTO.html" title="class in com.daulio.desafiotcebackend.dto">CarDTO</a>&nbsp;dto)
              throws <a href="../exception/RegraNegocioException.html" title="class in com.daulio.desafiotcebackend.exception">RegraNegocioException</a></pre>
<div class="block">Salva um novo carro para usuário logado</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="CarService.html#create(java.lang.String,com.daulio.desafiotcebackend.dto.CarDTO)">create</a></code>&nbsp;in interface&nbsp;<code><a href="CarService.html" title="interface in com.daulio.desafiotcebackend.service">CarService</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>dto</code> - objeto com os dados do novo carro</dd>
<dd><code>token</code> - para verificação do usuário logado</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../exception/RegraNegocioException.html" title="class in com.daulio.desafiotcebackend.exception">RegraNegocioException</a></code></dd>
</dl>
</li>
</ul>
<a id="save(java.lang.String,com.daulio.desafiotcebackend.dto.CarDTO)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>save</h4>
<pre class="methodSignature">public&nbsp;<a href="../dto/CarDTO.html" title="class in com.daulio.desafiotcebackend.dto">CarDTO</a>&nbsp;save&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&nbsp;token,
                   <a href="../dto/CarDTO.html" title="class in com.daulio.desafiotcebackend.dto">CarDTO</a>&nbsp;dto)
            throws <a href="../exception/RegraNegocioException.html" title="class in com.daulio.desafiotcebackend.exception">RegraNegocioException</a></pre>
<div class="block">Salva um carro para usuário logado</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>dto</code> - objeto com os dados do novo carro</dd>
<dd><code>token</code> - para verificação do usuário logado</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../exception/RegraNegocioException.html" title="class in com.daulio.desafiotcebackend.exception">RegraNegocioException</a></code></dd>
</dl>
</li>
</ul>
<a id="delete(java.lang.String,java.lang.Long)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>delete</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;delete&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&nbsp;token,
                   <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Long.html?is-external=true" title="class or interface in java.lang" class="externalLink">Long</a>&nbsp;id)
            throws <a href="../exception/RegraNegocioException.html" title="class in com.daulio.desafiotcebackend.exception">RegraNegocioException</a></pre>
<div class="block">Exclui um carro do usuário logado por id</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="CarService.html#delete(java.lang.String,java.lang.Long)">delete</a></code>&nbsp;in interface&nbsp;<code><a href="CarService.html" title="interface in com.daulio.desafiotcebackend.service">CarService</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>id</code> - do carro a ser excluído</dd>
<dd><code>token</code> - para verificação do usuário logado</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../exception/RegraNegocioException.html" title="class in com.daulio.desafiotcebackend.exception">RegraNegocioException</a></code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/CarServiceImpl.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
<p class="legalCopy"><small>Copyright &#169; 2024. All rights reserved.</small></p>
</footer>
</body>
</html>
